Bug 113801 - broken conversion: size mismatch
broken conversion: size mismatch
Product: Fedora
Classification: Fedora
Component: FreeWnn (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2004-01-18 06:55 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-05 22:20:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-18 06:55:52 EST
Description of problem:

I just tried to compile package FreeWnn-1.11-39, from Redhat
Fedora Core 1.

The compiler said


initjserv.c(430): warning #967: conversion from "char" to "void *";
sizes do not match

The source code is

      return (atoi (*(st + 1)));

I'm not sure what the fix is for this, but I strongly suspect, looking at
the rest of the routine, that

      return atoi( st + 1);

was meant by the programmer.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jens Petersen 2004-01-28 06:58:22 EST
I think this is fixed in FreeWnn-1.1.1-a020.
Comment 2 Jens Petersen 2004-08-05 22:20:56 EDT
pl20 is in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.